Bug 715470 - eclipse-swt has broken symlink
eclipse-swt has broken symlink
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 716112
  Show dependency treegraph
 
Reported: 2011-06-22 21:10 EDT by Orcan Ogetbil
Modified: 2011-06-30 02:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-30 02:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2011-06-22 21:10:49 EDT
Description of problem:
The eclipse-swt subpackage has a symlink at 
   /usr/lib64/java/swt.jar
that points to
   ../eclipse/swt-gtk-3.7.0.jar
which does not exist.

Instead the following files exist:
   ../eclipse/swt-gtk-3.7.0-I20110603-0909.jar
   ../eclipse/swt-gtk.jar
   ../eclipse/swt.jar
which are themselves symlinks pointing to some jar file at
   plugins/org.eclipse.swt.gtk.linux.x86_64_3.7.0.v3735b.jar

We have the issue on eclipse-swt-3.7.0-0.4.RC4.fc16
We do not have this issue on eclipse-swt-3.6.2-5.fc15
Comment 1 Andrew Overholt 2011-06-23 10:54:20 EDT
Chris, can you get this fixed with the 3.7 packages, please?
Comment 2 Andrew Overholt 2011-06-24 08:49:04 EDT
I've got a build going here that I think should fix this:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3158615
Comment 3 Andrew Overholt 2011-06-27 13:58:56 EDT
Orcan, please try this build:

  http://koji.fedoraproject.org/koji/buildinfo?buildID=250499

Thanks.
Comment 4 Alexander Kurtakov 2011-06-30 02:27:47 EDT
This is fixed. I was hitting the same problem with other swt dependent packages.

Note You need to log in before you can comment on or make changes to this bug.